QXmpp: QXmppTransferFileInfo Class Reference

QXmpp Version: 1.14.4

Loading...
Searching...
No Matches
QXmppTransferFileInfo Class Reference

## Public Member Functions
| QXmppTransferFileInfo (const QXmppTransferFileInfo &other)
| Default copy-constructor.
QDateTime | date () const
void | setDate (const QDateTime &date)
QByteArray | hash () const
void | setHash (const QByteArray &hash)
QString | name () const
void | setName (const QString &name)
QString | description () const
void | setDescription (const QString &description)
qint64 | size () const
void | setSize (qint64 size)
bool | isNull () const
QXmppTransferFileInfo & | operator= (const QXmppTransferFileInfo &other)
| Default assignment operator.
bool | operator== (const QXmppTransferFileInfo &other) const

## Detailed Description

Contains information about a file that is transferred using QXmppTransferJob.

## Member Function Documentation

## ◆ date()

QDateTime QXmppTransferFileInfo::date | ( |  | ) | const

Returns the last modification timestamp of the file.

## ◆ description()

QString QXmppTransferFileInfo::description | ( |  | ) | const

Returns a description of the file.

## ◆ hash()

QByteArray QXmppTransferFileInfo::hash | ( |  | ) | const

Returns the checksum of the file.

## ◆ isNull()

bool QXmppTransferFileInfo::isNull | ( |  | ) | const

Returns true if the file info has no valid data set.

## ◆ name()

QString QXmppTransferFileInfo::name | ( |  | ) | const

Returns the name of the file.

## ◆ operator==()

bool QXmppTransferFileInfo::operator== | ( | const QXmppTransferFileInfo & | other | ) | const

Returns true if the content (size, hash and name) of the file info objects equals.

## ◆ setDate()

void QXmppTransferFileInfo::setDate | ( | const QDateTime & | date | ) |

Sets the last modification timestamp of the file.

## ◆ setDescription()

void QXmppTransferFileInfo::setDescription | ( | const QString & | description | ) |

Sets a description of the file.

## ◆ setHash()

void QXmppTransferFileInfo::setHash | ( | const QByteArray & | hash | ) |

Sets the checksum of the file.

## ◆ setName()

void QXmppTransferFileInfo::setName | ( | const QString & | name | ) |

Sets the name of the file.

## ◆ setSize()

void QXmppTransferFileInfo::setSize | ( | qint64 | size | ) |

Sets the size of the file in bytes.

## ◆ size()

qint64 QXmppTransferFileInfo::size | ( |  | ) | const

Returns the size of the file in bytes.

The documentation for this class was generated from the following files:

- QXmppTransferManager.h
- QXmppTransferManager.cpp